Subject: Re: [PATCH for 3.19] rtlwifi: Fix error when accessing unmapped memory in skb

From: Eric Biggers <[email-masked]>
Date: Mon, 22 Dec 2014 13:48:43 -0600

Is this really the same behavior as 3.17?  In 3.17, allocating the new skb is
one of the first things the interrupt handler does, and if that fails it drops
the packet and keeps using the old skb.  In this proposal, it's only after the
packet has been received and the old skb has been freed that a new one is
allocated.  And if that fails --- well, what are you expecting to happen
exactly?